$(document).ready(function () {
    $("body").on("blur", '.qty', autoAddRows);
    $("body").on("keyup blur", '.rate,.qty', caltran);
    $("body").on("focus blur change", '.material', getMsp);


    function readIMG(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                $('#preview').attr('src', e.target.result);
            }
            reader.readAsDataURL(input.files[0]);
        }
    }

    function getMsp() {
        var tr = $(this).closest("tr"),
                itemname = tr.find(".material").val(),
                data = {itemname: itemname};

        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "getRawRate.php",
            data: data,
            success: function (response) {
                var m = response;
                tr.find(".rate").val(m.rate);
            }
        });
    }

    $("#file1").change(function () {
        readIMG(this);
    });
    function autoAddRows() {
        if ($(this).closest("tr").is(":last-child")) {
            AddRows();
        }
        //        var ctr = $('#items').val();
        //        var tr = $(this).closest("tr");
        //        var srno = tr.find(".srno").val();
        //        if (srno == ctr) {
        //            AddRows();
        //        }
    }
    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }

        var detail = ".fetchpart_" + ctr;
        $.post('itemmain_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();

        });
    }

    $('#addnew').click(function () {
        AddRows();
    });
    caltran()
    function caltran() {
        var tr = $(this).closest("tr"),
                rate = tr.find('.rate').val(),
                qty = tr.find('.qty').val(),
                amount = (parseFloat(qty) * parseFloat(rate)).toFixed(2);
        tr.find(".amount").val(amount);
        var totrate = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                totrate += parseFloat(this.value);
            }

        });
        $(".totamt").val(totrate);

    }
});